org.bouncycastle.asn1.x509

## Class AttributeCertificateInfo

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Encodable
  - - org.bouncycastle.asn1.x509.AttributeCertificateInfo

All Implemented Interfaces:
  DEREncodable

    public class AttributeCertificateInfo
    extends ASN1Encodable

### Field Summary

### Fields inherited from class org.bouncycastle.asn1.ASN1Encodable

`BER, DER`

### Constructor Summary

Constructors
Constructor and Description
`AttributeCertificateInfo(ASN1Sequence seq)`

### Method Summary

Methods
`AttCertValidityPeriod` `getAttrCertValidityPeriod()`
`ASN1Sequence` `getAttributes()`
`X509Extensions` `getExtensions()`
`Holder` `getHolder()`
`static AttributeCertificateInfo` `getInstance(ASN1TaggedObject obj, boolean explicit)`
`static AttributeCertificateInfo` `getInstance(java.lang.Object obj)`
`AttCertIssuer` `getIssuer()`
`DERBitString` `getIssuerUniqueID()`
`DERInteger` `getSerialNumber()`
`AlgorithmIdentifier` `getSignature()`
`DERInteger` `getVersion()`
`DERObject` `toASN1Object()` Produce an object suitable for an ASN1OutputStream.

### Methods inherited from class org.bouncycastle.asn1.ASN1Encodable

`equals, getDEREncoded, getDERObject, getEncoded, getEncoded, hashCode`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AttributeCertificateInfo

    public AttributeCertificateInfo(ASN1Sequence seq)

### Method Detail

#### getInstance

    public static AttributeCertificateInfo getInstance(ASN1TaggedObject obj,
                                       boolean explicit)

#### getInstance

    public static AttributeCertificateInfo getInstance(java.lang.Object obj)

#### getVersion

    public DERInteger getVersion()

#### getHolder

    public Holder getHolder()

#### getIssuer

    public AttCertIssuer getIssuer()

#### getSignature

    public AlgorithmIdentifier getSignature()

#### getSerialNumber

    public DERInteger getSerialNumber()

#### getAttrCertValidityPeriod

    public AttCertValidityPeriod getAttrCertValidityPeriod()

#### getAttributes

    public ASN1Sequence getAttributes()

#### getIssuerUniqueID

    public DERBitString getIssuerUniqueID()

#### getExtensions

    public X509Extensions getExtensions()

#### toASN1Object

    public DERObject toASN1Object()

Produce an object suitable for an ASN1OutputStream.

      AttributeCertificateInfo ::= SEQUENCE {
           version              AttCertVersion -- version is v2,
           holder               Holder,
           issuer               AttCertIssuer,
           signature            AlgorithmIdentifier,
           serialNumber         CertificateSerialNumber,
           attrCertValidityPeriod   AttCertValidityPeriod,
           attributes           SEQUENCE OF Attribute,
           issuerUniqueID       UniqueIdentifier OPTIONAL,
           extensions           Extensions OPTIONAL
      }

      AttCertVersion ::= INTEGER { v2(1) }

Specified by:
  `toASN1Object` in class `ASN1Encodable`